routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::resource('books', \App\Http\Controllers\BookController::class)->only('update');

Route::resource('categories', \App\Http\Controllers\CategoryController::class)->only('index', 'show');

Route::resource('book_user', \App\Http\Controllers\BookUserController::class)->only('index', 'show');

app/Models/BookUser.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\Pivot;

class BookUser extends Pivot
{
    use HasFactory;

    protected $fillable = ['user_id', 'book_id', 'return_at', 'status', 'book_name'];


    const EXPECTED = 'expected';

    const RETURNED = 'returned';

    const EXPIRED = 'expired';

    /**
     * @return string
     */
    public function getExpected()
    {
        return self::EXPECTED;
    }

    /**
     * @return string
     */
    public function getExpired()
    {
        return self::EXPIRED;
    }

    /**
     * @return string
     */
    public function getReturned()
    {
        return self::RETURNED;
    }
}

app/Http/Controllers/BookUserController.php
<?php

namespace App\Http\Controllers;

use App\Models\Book;
use App\Models\BookUser;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;
use Illuminate\Support\Facades\Auth;

class BookUserController extends Controller
{

    /**
     * BookUserController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return Application|Factory|View
     */
    public function index()
    {
        $books = BookUser::all()->where('user_id', Auth::id());
        foreach ($books as $book) {
            if ($book->returned) {
                $book->status = $book->getReturned();
            } else {
                if ($book->return_at < date("Y-m-d")) {
                    $book->status = $book->getExpired();
                }
            }
        }
        return view('book_user.index', compact('books'));
    }

    /**
     * Display the specified resource.
     *
     * @param int $int
     * @return Application|Factory|View
     */
    public function show(int $int)
    {
        $book = Book::find($int);
        return view('book_user.create', compact('book'));
    }
}

resources/views/book_user/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="m-3">
        <form action="{{route('books.update', ['book' => $book])}}" method="POST">
            @csrf
            @method('PUT')
            <div class="form-row">
                <div class="col">
                    <label for="library_card_number">Card number</label>
                    <input id="library_card_number" name="library_card_number" type="text" class="form-control"
                           value="{{session()->get('library_card_number')}}">
                </div>
                <div class="col">
                    <label for="return_at">Return Date</label>
                    <input id="return_at" name="return_at" type="date" class="form-control" placeholder="Last name">
                </div>
            </div>
            <div class="form-row mt-3">
                <div class="col">
                    <label for="book_id">Book</label>
                    <input disabled id="book_id" type="text" class="form-control" value="{{$book->name}}">
                </div>
                <div class="col">
                    <label for="author_id">Author</label>
                    <input disabled id="author_id" type="text" class="form-control" value="{{$book->author->name}}">
                </div>
            </div>
            <button class="mt-3 btn btn-outline-success">Save</button>
        </form>
    </div>
@endsection

resources/views/book_user/index.blade.php
@extends('layouts.app')

@section('content')


    <table class="table">
        <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Book</th>
            <th scope="col">Return date</th>
            <th scope="col">Status</th>
        </tr>
        </thead>
        <tbody>
        @foreach($books as $book)
            <tr>
                <th scope="row">{{$book->id}}</th>
                <td>{{$book->book_name}}</td>
                <td>{{$book->return_at}}</td>
                <td>{{$book->status}}</td>
            </tr>
        @endforeach
        </tbody>
    </table>

@endsection